RequestExecutionLevel admin
Name "QUB Express"
OutFile ..\Install-QUB-Express-Macroscopic-Plugin-0-2-0.exe
CRCCheck on
ComponentText "This will install the macroscopic plugin for QUB Express:"
InstType /COMPONENTSONLYONCUSTOM
InstType "QUB Express"
DirText "Please select the location of QUB Express."

InstallDir "$PROGRAMFILES\QUB Express"
InstallDirRegKey HKEY_LOCAL_MACHINE SOFTWARE\qub-express "Install_Dir"

Section "Macroscopic"
SectionIn 1
SetOverwrite try
SetCompress auto


SetOutPath "$INSTDIR\dist\Plugins\qubx_macroscopic"
File /r "qubx_mac"
File max_mac_ll.py
File qubx_plugin_about.txt
File qubx_plugin_fini.py
File qubx_plugin_imports.txt
File qubx_plugin_init.py
File qubx_plugin_name.txt
File README.txt
File "..\LICENSE.txt"

SetOutPath "$INSTDIR\dist"
File "..\maxmll.dll"


!ifndef NO_UNINST
WriteUninstaller "$INSTDIR\uninst-qubx-macroscopic.exe"
CreateShortCut "$STARTMENU\Programs\QUB Express\Uninstall macroscopic plugin.lnk" "$INSTDIR\uninst-qubx-macroscopic.exe" "" "" 0
!endif

SectionEnd


!ifndef NO_UNINST
UninstallText "This will remove the macroscopic plugin from QUB Express:"

Section Uninstall

RMDir /r "$INSTDIR\dist\Plugins\qubx_macroscopic"

SectionEnd

!endif

