/* Copyright 2008-2014 Research Foundation State University of New York   */

/* This file is part of QUB Express.                                      */

/* QUB Express is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Express is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Express program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef MAXMLL_H
#define MAXMLL_H

//
// If MAXMLL_EXPORTS is defined, the decorator MAXMLL_API exports a symbol.
// Otherwise, MAXMLL_API imports the symbol.
// This works across MS Visual Studio and gcc.
//

/*
begin_html
<b>Up:</b> <a href="index.html">Index</a>
end_html
*/

#if defined(_WIN32)
  #define MAXMLL_DLLEXPORT __declspec(dllexport)
  #define MAXMLL_DLLIMPORT __declspec(dllimport)
#else
  #define MAXMLL_DLLEXPORT
  #define MAXMLL_DLLIMPORT
  #define __stdcall 
#endif

#if !defined(MAXMLL_EXPORTS)
  #define MAXMLL_API MAXMLL_DLLIMPORT
#else
  #define MAXMLL_API MAXMLL_DLLEXPORT
#endif

#ifdef __GNUC__
#define MAXMLL_VAR_NOT_USED __attribute__ ((unused))
#else
#define MAXMLL_VAR_NOT_USED
#endif

#endif
